Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.sg
Class SGVideoCompressorInfo

    java.lang.Object
      |
      +--quicktime.std.sg.SGVideoCompressorInfo

public class SGVideoCompressorInfo
extends java.lang.Object

The SGChannelInfo class contains information about the reference information of a media sample.

Field Summary
`int` | `mCompressor` Deprecated. use theCompressor field
`int` | `mDepth`
`int` | `mKeyFrameRate`
`int` | `mSpatialQuality`
`int` | `mTemporalQuality`
`Compressor` | `theCompressor`

Constructor Summary
`SGVideoCompressorInfo(int depth, Compressor compressor, int spatialQuality, int temporalQuality, int keyFrameRate)` This constructor creates a SGVideoCompressorInfo object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mDepth

    public int mDepth

### mCompressor

    public int mCompressor

  Deprecated. use theCompressor field

  This field is no longer used and is ALWAYS set to zero

### theCompressor

    public Compressor theCompressor

### mSpatialQuality

    public int mSpatialQuality

### mTemporalQuality

    public int mTemporalQuality

### mKeyFrameRate

    public int mKeyFrameRate

Constructor Detail

### SGVideoCompressorInfo

    public SGVideoCompressorInfo(int depth,
                                 Compressor compressor,
                                 int spatialQuality,
                                 int temporalQuality,
                                 int keyFrameRate)

  This constructor creates a SGVideoCompressorInfo object.
  Parameters:
    `depth` - Specifies the depth at which the image is likely to be viewed.
    `compressor` - Specifies the image compressor identifier.
    `spatialQuality` - Specifies the desired compressed image quality.
    `temporalQuality` - format of the sound Data.
    `keyFrameRate` - format of the sound Data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD